FailedConsole Output

Started by user unknown or anonymous
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on sos-builder01 (lin) in workspace /builds/workspace/push-comment-github
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] Done
Copying file to revapi_report.md
[push-comment-github] $ /bin/sh -xe /tmp/jenkins8415345194217668387.sh
+ python3 --version
Python 3.5.2
+ pip3 install pygithub
Collecting pygithub
Collecting pyjwt (from pygithub)
  Using cached https://files.pythonhosted.org/packages/87/8b/6a9f14b5f781697e51259d81657e6048fd31a113229cf346880bb7545565/PyJWT-1.7.1-py2.py3-none-any.whl
Collecting six (from pygithub)
  Using cached https://files.pythonhosted.org/packages/65/eb/1f97cb97bfc2390a276969c6fae16075da282f5058082d4cb10c6c5c1dba/six-1.14.0-py2.py3-none-any.whl
Collecting deprecated (from pygithub)
  Using cached https://files.pythonhosted.org/packages/f6/89/62912e01f3cede11edcc0abf81298e3439d9c06c8dce644369380ed13f6d/Deprecated-1.2.7-py2.py3-none-any.whl
Collecting requests>=2.14.0 (from pygithub)
  Using cached https://files.pythonhosted.org/packages/51/bd/23c926cd341ea6b7dd0b2a00aba99ae0f828be89d72b2190f27c11d4b7fb/requests-2.22.0-py2.py3-none-any.whl
Collecting wrapt<2,>=1.10 (from deprecated->pygithub)
Collecting idna<2.9,>=2.5 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/14/2c/cd551d81dbe15200be1cf41cd03869a46fe7226e7450af7a6545bfc474c9/idna-2.8-py2.py3-none-any.whl
Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/e8/74/6e4f91745020f967d09332bb2b8b9b10090957334692eb88ea4afe91b77f/urllib3-1.25.8-py2.py3-none-any.whl
Collecting chardet<3.1.0,>=3.0.2 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/b9/63/df50cac98ea0d5b006c55a399c3bf1db9da7b5a24de7890bc9cfd5dd9e99/certifi-2019.11.28-py2.py3-none-any.whl
Installing collected packages: pyjwt, six, wrapt, deprecated, idna, urllib3, chardet, certifi, requests, pygithub
Successfully installed certifi-2019.9.11 chardet-3.0.4 deprecated-1.2.6 idna-2.8 pygithub-1.44.1 pyjwt-1.7.1 requests-2.22.0 six-1.12.0 urllib3-1.25.7 wrapt-1.11.2
You are using pip version 8.1.1, however version 20.0.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
[push-comment-github] $ python /tmp/jenkins2185153440438252376.py
3233
API changes: 2 (Detected by [Revapi](https://github.com/revapi/revapi/))

Old API: fr.inria.gforge.spoon:spoon-core:jar:8.1.0-20200208.234146-113 / New API: fr.inria.gforge.spoon:spoon-core:jar:8.1.0-SNAPSHOT

|     | Method was removed. |
| :---: | :---: |
| Old | method DefaultJavaPrettyPrinter#scanCompilationUnit(CtCompilationUnit) |
| New | none |
| Breaking | binary: breaking |

|     | Method was removed. |
| :---: | :---: |
| Old | method SniperJavaPrettyPrinter#scanCompilationUnit(CtCompilationUnit) |
| New | none |
| Breaking | binary: breaking |

Traceback (most recent call last):
  File "/tmp/jenkins2185153440438252376.py", line 23, in <module>
    gh = Github(login,token)
NameError: name 'Github' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/jenkins2185153440438252376.py", line 35, in <module>
    except GithubException as e:
NameError: name 'GithubException' is not defined
Build step 'Execute Python script' marked build as failure
Finished: FAILURE